<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>
        <record id="sale_order_product_brand_form_view" model="ir.ui.view">
             <field name="name">sale.order.product.brand.form</field>
             <field name="model">sale.order</field>
            <field name="inherit_id" ref="sale.view_order_form"/>
            <field name="arch" type="xml">
                <xpath expr="//field[@name='project_id']" position="after">
                        <field name="product_brand_id" options="{'no_create_edit': True}" />
                </xpath>
                <xpath expr="//field[@name='order_line']/tree//field[@name='product_id']" position="attributes">
                        <attribute name="domain">[('product_brand_id','=',parent.product_brand_id)]</attribute>
                </xpath>
            </field>
        </record>
    </data>
</openerp>